Bug 880905 - [fr_FR][it_IT][SAM Web GUI] - New Role can not be created
[fr_FR][it_IT][SAM Web GUI] - New Role can not be created
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jordan OMara
Og Maciel
: i18n
Depends On:
Blocks: sam12-tracker 881388 896252
  Show dependency treegraph
 
Reported: 2012-11-28 01:06 EST by Satyabrata Maitra
Modified: 2014-11-09 17:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Roles can now be created when locale is French and Italian.
Story Points: ---
Clone Of:
: 881388 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:20:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New Role Creation window (31.20 KB, image/png)
2012-11-28 01:06 EST, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2012-11-28 01:06:26 EST
Created attachment 653273 [details]
New Role Creation window

Description of problem:
In fr_FR (French) locale, when try to create New Role, the Save Button seems not functional, nor creating any new role. Screen shot attached. Although, its hard to take screen shot for button not working.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
Always

Steps to Reproduce:
1. Login into SAM Web GUI with fr_FR locale.
2. On the home page, go to Administrator --> Roles
3. Click on +New Role Link
4. Put new role's name and its description and Click on "Save" Button
5. Observe if it creates a new role and brings you on the next page to set 
   Permissions and users.
  
Actual results:
It seems Save Button not functional, and new role it not being created.

Expected results:
It should successfully creates the New Role.

Additional info: Screen Shot Attached.
Comment 1 Satyabrata Maitra 2012-11-28 06:09:28 EST
The same happening in it_IT (Italian) locale as well.
Comment 2 Jordan OMara 2012-11-28 15:06:48 EST
https://github.com/Katello/katello/pull/1139
Comment 4 Og Maciel 2012-12-03 12:53:12 EST
Verified:

* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-3h.el6_3.noarch
* katello-cli-common-1.2.4-3h.el6_3.noarch
* katello-common-1.2.6-3h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-3h.el6_3.noarch
* katello-headpin-1.2.6-3h.el6_3.noarch
* katello-headpin-all-1.2.6-3h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch
Comment 5 Satyabrata Maitra 2012-12-05 06:05:52 EST
Hi Maciel

Thanks for verifying this bug.
Comment 7 errata-xmlrpc 2013-02-21 14:20:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.